aboutsummaryrefslogtreecommitdiffstats
path: root/resources/bin
diff options
context:
space:
mode:
authordyh <dengyuanhong@chinamobile.com>2019-04-19 13:57:46 +0800
committerdyh <dengyuanhong@chinamobile.com>2019-04-19 14:01:10 +0800
commitaffcd0828f0dd0941ba546aca5bce05e8ee1a598 (patch)
treea20b80dbc987dde4ee3e65f3b29e81b49c93cb4f /resources/bin
parent4735409872776f9675df733087dcb1b61b038ab0 (diff)
genericparser seed code
Change-Id: Id15ac689c1d560619bf6c699fb0786e7381d3def Issue-ID: MODELING-153 Signed-off-by: dyh <dengyuanhong@chinamobile.com>
Diffstat (limited to 'resources/bin')
-rw-r--r--resources/bin/initDB.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/resources/bin/initDB.sh b/resources/bin/initDB.sh
new file mode 100644
index 0000000..7d87e5d
--- /dev/null
+++ b/resources/bin/initDB.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Copyright 2018 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+MYSQL_USER=$1
+MYSQL_PASSWORD=$2
+MYSQL_PORT=$3
+MYSQL_IP=$4
+echo "start create gengricparser db"
+sql_path=$HOME/../
+mysql -u$MYSQL_USER -p$MYSQL_PASSWORD -P$MYSQL_PORT -h$MYSQL_IP <$sql_path/dbscripts/mysql/modeling-gengricparser-createdb.sql
+sql_result=$?
+if [ $sql_result -ne 0 ] ; then
+ echo "Failed to create gengricparser database"
+ exit 1
+else
+ echo "Create gengricparser database successfully"
+ exit 0
+fi
+